> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lumenaza.de/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Market Partner Bill

> Returns the requested market partner invoice as a PDF document.



## OpenAPI

````yaml /lumx_openapi.yaml get /v3/marketpartners/marketpartner_bills/{market_partner}/{invoice_number}/
openapi: 3.0.3
info:
  title: Lumenaza external API
  version: 3.8.0 (v3)
  description: Specification of the Lumenaza external API.
servers:
  - url: https://api.lumenaza.de/
    description: Produktivserver
  - url: https://api.test.lumenaza.de/
    description: Testserver
security: []
tags:
  - name: Community Data API
    description: >-
      The API is used to retrieve master data and measurement data for a
      community. A community is defined by all customers that belong to your
      company
  - name: Consumer API
    description: >-
      Manage consumers, their contracts, products, readings, and charges or
      credits
  - name: Consumption Forecast API
    description: Retrieve consumption forecasts for grid contracts
  - name: Customer Portal API
    description: Request a customer portal password reset
  - name: Customer API
    description: Retrieve product and pricing information for a customer contract
  - name: Files API
    description: Upload files and receive identifiers for use in other API requests
  - name: Market Partner API
    description: List market partners and retrieve market partner bills and payment advices
  - name: Master Data API
    description: Submit and track changes to customer and redispatch master data
  - name: Migration API
    description: Migrate consumer contracts and add contracts during migration
  - name: Offer Calculator API
    description: Calculate customer offers for a tariff and the supplied parameters
  - name: Price Calculator API
    description: >-
      Retrieve day-ahead electricity prices, local utility prices, and estimated
      CO₂ savings
  - name: Producer API
    description: >-
      Manage producers, their contracts, plants, feed-in data, and charges or
      credits
  - name: User Documents API
    description: List and retrieve documents associated with users and their contracts
  - name: Validation API
    description: >-
      Validate market location identifiers, IBANs, and preferred delivery start
      dates
paths:
  /v3/marketpartners/marketpartner_bills/{market_partner}/{invoice_number}/:
    get:
      tags:
        - Market Partner API
      summary: Retrieve Market Partner Bill
      description: Returns the requested market partner invoice as a PDF document.
      operationId: marketpartners_marketpartner_bills_retrieve
      parameters:
        - in: path
          name: invoice_number
          schema:
            type: string
            pattern: ^\w+$
          required: true
        - in: path
          name: market_partner
          schema:
            type: string
            pattern: ^\d+$
          required: true
      responses:
        '200':
          content:
            application/pdf:
              schema:
                type: string
                format: binary
              examples:
                PDFResponse:
                  value: '%PDF-1.4...'
          description: Document as MIME-type "application/pdf".
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MarketPartnerInvoiceNotFound'
              examples:
                InvoiceNotFound:
                  value:
                    detail: 'No invoice file found for invoice number: <invoice_number>'
                  summary: Invoice not found
          description: >-
            No invoice file was found for the given market partner and invoice
            number.
components:
  schemas:
    MarketPartnerInvoiceNotFound:
      type: object
      properties:
        detail:
          type: string
          description: Reason why the market partner invoice could not be found.
      required:
        - detail

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.